#language: ru

@scp

Функционал: 000. SCP. Установка функциональных опций

Контекст: 
	Дано Я подключаюсь под "Администратор"

Сценарий: 000.1. SCP. Установка времени начала блока тестов

	Дано Я устанавливаю заголовок "10.SCP"
	Дано Я включаю использование дополнительных реквизитов
	Дано Я включаю использование истории
	Дано Я включаю оценку производительности
	Дано Я устанавливаю время начала блока тестов

Сценарий: 000.2. SCP. Установка функциональных опций

	И Я читаю лицензию "ПланированиеЦепочкиПоставки.xml"
	Тогда флаг "Анализ продаж доступен" равен "Нет"
	Тогда флаг "Анализ сервисов предприятия" равен "Нет"
	Тогда флаг "Маркировка" равен "Нет"
	Тогда флаг "Мобильное приложение" равен "Нет"
	Тогда флаг "Обработка заказов клиента" равен "Нет"
	Тогда флаг "Планирование переработки" равен "Да"
	Тогда флаг "Планирование продаж" равен "Нет"
	Тогда флаг "Планирование разруба" равен "Да"
	Тогда флаг "Прогнозирование отгрузок" равен "Нет"
	Тогда флаг "Производство" равен "Нет"
	Тогда флаг "Производство (молочное)" равен "Нет"
	Тогда флаг "Производство (мясное)" равен "Нет"
	Тогда флаг "Складская логистика" равен "Нет"
	Тогда флаг "Транспортная логистика" равен "Нет"
	Тогда флаг "Трейд-маркетинг" равен "Нет"
	Тогда флаг "Управление продажами" равен "Нет"
	Тогда флаг "Ценообразование" равен "Нет"
	Тогда флаг "Интеграция с ГИС Меркурий" равен "Нет"
	Тогда флаг "Управление процессами" равен "Нет"
	И Я закрываю окно 'Лицензирование'

Сценарий: 000.3. SCP. Создание пользователей

	Когда Я создаю группу доступа "Базовый профиль" с профилем "Базовый профиль"
	* Планирование потребностей
		И Я создаю группу доступа "Планирование потребностей" с профилем "Планирование потребностей"
		И Я создаю пользователя "Планирование потребностей" с профилями "Базовый профиль;Планирование потребностей"
	* Планирование цепочек поставок
		И Я создаю группу доступа "Планирование цепочек поставок" с профилем "Планирование цепочек поставок"
		И Я создаю пользователя "Планирование цепочек поставок" с профилями "Базовый профиль;Планирование цепочек поставок"
		И Я создаю пользователя "Планирование цепочек поставок и потребностей" с профилями "Базовый профиль;Планирование цепочек поставок;Планирование потребностей"
	* Планирование заявок на день
		Дано Я создаю группу доступа "Планирование заявок на день" с профилем "Планирование заявок на день"
		Дано Я создаю пользователя "Планирование заявок на день" с профилями "Базовый профиль;Планирование заявок на день"

